import request from '@/utils/request.js'

// 查询CCAP编制任务关键零部件处理列表
export function getCCAPTaskKeyList(query) {
  return request({
    url: '/control/ccapKeyParts/list',
    method: 'get',
    params: query
  })
}

// 查看编制人群
export function getEntryPersons(planId) {
  return request({
    url: '/control/ccapKeyParts/getEntryPersons',
    method: 'get',
    params: {
      planId: planId
    }
  })
}
// 获取所有人员列表
export function getALLUserList() {
  return request({
    url: '/system/dept/userDeptList',
    method: 'get'
  })
}

// 转交任务接口
export function updateTransferTask(data) {
  return request({
    url: '/control/compilationTask/transTask',
    method: 'put',
    data: data
  })
}

// 导入数据接口
// export function importFileData(data){
//   return request({
//     url: '/control/ccapKeyParts/importData',
//     method: 'post',
//     data: data
//   })
// }

// 分配任务接口
export function updateAssignTask(data) {
  return request({
    url: '/control/assignPerson/assignTask',
    method: 'put',
    data: data
  })
}

// 完成填写接口
export function updateFinishTask(data) {
  return request({
    url: '/control/assignPerson/finishEntry',
    method: 'put',
    data: data
  })
}

// 取消完成接口
export function updateCancelFinishTask(data) {
  return request({
    url: '/control/assignPerson/cancelFinishEntry',
    method: 'put',
    data: data
  })
}

// 确认提交接口
export function updateSubmitTask(data) {
  return request({
    url: '/control/ccapPlan/btnConfirm',
    method: 'put',
    data: data
  })
}

// 审核通过/批准通过/最终确认接口
export function updateBtnPass(data) {
  return request({
    url: '/control/ccapPlan/btnPass',
    method: 'put',
    data: data
  })
}

// 退回接口
export function updateBtnNoPass(data) {
  return request({
    url: '/control/ccapPlan/btnBack',
    method: 'put',
    data: data
  })
}

// 标记问题
export function updateFlagIssue(data) {
  return request({
    url: '/control/ccapKeyParts/flagIssue',
    method: 'put',
    data: data
  })
}

// 取消标记问题
export function updateCancelFlagIssue(data) {
  return request({
    url: '/control/ccapKeyParts/cancelFlagIssue',
    method: 'put',
    data: data
  })
}

// 微调/填写检验文件编号/填写零件号/填写主数据接口
export function miniUpdateCCAPParts(data) {
  return request({
    url: '/control/ccapKeyParts',
    method: 'put',
    data: data
  })
}

// 拉取检验文件编号接口
export function pullFileCheckData(data) {
  return request({
    url: '/control/ccapKeyParts/pullFileCheckData',
    method: 'put',
    data: data
  })
}
