import request from '@/utils/request'

/**国内分页查询*/
export function listRelation(query) {
  return request({
    url: '/control/lawPartRelation/chinaList',
    method: 'post',
    data: query,
  })
}

/**国际分页查询*/
export function listInternationalRelation(query) {
  return request({
    url: '/control/lawPartRelation/internatList',
    method: 'post',
    data: query,
  })
}

/**查询零件详情*/
export function partDetails(query) {
  return request({
    url: '/control/lawPartRelation/partDetails',
    method: 'post',
    data: query,
  })
}

// 修改法规与关键件对应数据管理
export function updateRelation(data) {
  return request({
    url: '/control/relation',
    method: 'put',
    data: data,
  })
}
/** 批量添加对应关系*/
export function addBatchRelation(query) {
  return request({
    url: '/control/lawPartRelation/add',
    method: 'post',
    data: query,
  })
}

/** 移除对应关系 */
export function delRelation(id) {
  return request({
    url: `/control/lawPartRelation/del/${id}`,
    method: 'get',
  })
}
/**查询没有关联的零部件 */
export function selectNoRelatePart(query) {
  return request({
    url: '/control/lawPartRelation/selectNo',
    method: 'post',
    data: query,
  })
}
/** 查询可以关联的法规*/
export function selectCanRelateLaw(query) {
  return request({
    url: '/control/lawPartRelation/law',
    method: 'post',
    data: [query],
  })
}
export function domesticParts(query) {
  return request({
    url: '/control/partsName/CqcPartsNamelist',
    method: 'get',
    data: query,
  })
}
