import request from '@/utils/request'

// 查询列表
export function list(query) {
    return request({
        url: '/control/sysNotificationContent/list',
        method: 'get',
        params: query
    })
}
// 获取顶部信息-根据通知单管理id
export function getTopDetailInfo(id) {
    return request({
        url: '/control/sysNotificationContent/getTopDetailInfo/'+id,
        method: 'get'

    })
}
// 获取所有车型公告号
export function getVehicleModelAnnouncementNumber(id) {
    return request({
        url: '/control/sysNotificationContent/getVehicleModelAnnouncementNumber/'+id,
        method: 'get'

    })
}
// 获取当前登录用户
export function getCurrentLoginUser() {
    return request({
        url: '/control/sysNotificationContent/getCurrentLoginUser',
        method: 'get'

    })
}
// 新增变更记录
export function addChangeRecord(data) {
    return request({
        url: '/control/sysNotificationContent/addChangeRecord',
        method: 'post',
        data: data

    })
}
// 查询列表-维护变更记录
export function getInList(data) {
    return request({
        url: '/control/sysNotificationContent/getInList',
        method: 'get',
        params: data

    })
}
// 编辑-维护变更记录
export function editChangeRecord(data) {
    return request({
        url: '/control/sysNotificationContent/editChangeRecord',
        method: 'post',
        data: data

    })
}
// 完成维护-维护变更记录
export function completeTheMaintenance(id) {
    return request({
        url: '/control/sysNotificationContent/completeTheMaintenance/'+id,
        method: 'get'
    })
}
// 取消维护-维护变更记录
export function cencalWeihu(id) {
    return request({
        url: '/control/sysNotificationContent/cencalWeihu/'+id,
        method: 'get'
    })
}
// 查看详情-列表
export function getDetailList(data) {
    return request({
        url: '/control/notificationManagement/getDetailList',
        method: 'get',
        params: data
    })
}
// 修改通知单状态
export function updateStatus(data) {
    return request({
        url: '/control/notificationManagement/updateStatus',
        method: 'put',
        params: data
    })
}
// 退回-维护变更记录
export function sendBack(data) {
    return request({
        url: '/control/sysNotificationContent/sendBack',
        method: 'get',
        params: data
    })
}
// 批准-维护变更记录
export function authorize(id) {
    return request({
        url: '/control/notificationManagement/authorize/'+id,
        method: 'get'
    })
}
